# Uses of Interface
org.eclipse.birt.chart.model.attribute.JavaNumberFormatSpecifier

Packages that use JavaNumberFormatSpecifier
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of JavaNumberFormatSpecifier in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return JavaNumberFormatSpecifier
Modifier and Type
Method
Description
`JavaNumberFormatSpecifier`
JavaNumberFormatSpecifier.`copyInstance()`
`JavaNumberFormatSpecifier`
AttributeFactory.`createJavaNumberFormatSpecifier()`
Returns a new object of class 'Java Number Format Specifier'.

## Uses of JavaNumberFormatSpecifier in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement JavaNumberFormatSpecifier
Modifier and Type
Class
Description
`class`
`JavaNumberFormatSpecifierImpl`
An implementation of the model object ' Java Number Format Specifier'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return JavaNumberFormatSpecifier
Modifier and Type
Method
Description
`JavaNumberFormatSpecifier`
JavaNumberFormatSpecifierImpl.`copyInstance()`
`static JavaNumberFormatSpecifier`
JavaNumberFormatSpecifierImpl.`create(String sJavaPattern)`
A convenience methods provided to create an initialized JavaNumberFormatSpecifier instance NOTE: Manually written
`JavaNumberFormatSpecifier`
AttributeFactoryImpl.`createJavaNumberFormatSpecifier()`